Subject: Re: [bug#34217] [PATCH 11/11] gnu: Add ruby-cucumber and ruby-aruba.

From: swedebugia <[email-masked]>
Date: Thu, 31 Jan 2019 09:43:00 +0100

On 2019-01-30 17:22, swedebugia wrote:
> On 2019-01-30 17:11, swedebugia wrote:
>> On 2019-01-30 13:56, Ricardo Wurmus wrote:
>>>
>>> Hi swedebugia,
>>>
>>>> On 2019-01-27 12:49, Christopher Baines wrote:
>>>>> These packages are mutually dependant, so I've put them in one commit.
>>>>>
>>>>> * gnu/packages/ruby.scm (ruby-aruba, ruby-cucumber): New variables.
snip

>> I don't know ruby at all so I might not be the best qualified to 
>> investigate this. :/

I decided to try out latest master, worked a little on it and now it 
builds without failure! :D

I'm unsure what revision number we usually start on, please correct if 
necessary.

(define-public ruby-aruba
   ;; Take commit from latest master to avoid test failures 

   (let ((commit "688ad050f48990bfac127eaf529a828a0139d85f")
         (revision "1"))
     (package
      (name "ruby-aruba")
      (version
       (string-append "0.14.7" "-" revision "." (string-take commit 7)))
      (source
       (origin
         (method git-fetch)
         (uri (git-reference
               (url "https://github.com/cucumber/aruba.git")
               (commit commit)))
         (file-name (string-append name "-" version "-checkout"))
         (sha256
          (base32
           "11c9w5rnra3xxzp1i4cazpf5gp6s25l4ymxsn022crk096nq475y"))))
      (build-system ruby-build-system)
      (arguments
       '(#:test-target "spec"
         #:phases
         (modify-phases %standard-phases
           (add-before 'check 'remove-unnecessary-dependencies
             (lambda _
               (substitute* "Gemfile"
                 ((".*byebug.*") "\n")
                 ((".*pry.*") "\n")
                 ((".*yaml.*") "\n")
                 ((".*bcat.*") "\n")
                 ((".*kramdown.*") "\n")
                 ((".*rubocop.*") "\n")
                 ((".*cucumber-pro.*") "\n")
                 ((".*cucumber.*") "\n")
                 ((".*license_finder.*") "\n")
                 ((".*rake.*") "gem 'rake'\n")
                 ((".*simplecov.*") "\n")
                 ((".*relish.*") "\n")
                 ((".*json.*") "\n")
                 ((".*yard-junk.*") "\n")
                 ((".*yard.*") "\n"))
               (substitute* "spec/spec_helper.rb"
                 ((".*simplecov.*") "")
                 (("^SimpleCov.*") ""))
               (substitute* "aruba.gemspec"
                 (("spec\\.add\\_runtime\\_dependency 'cucumber'.*")
                  "spec.add_runtime_dependency 'cucumber'\n"))
               (substitute* "Rakefile"
                 ;; Do not require docker stuff 

                 ((".*'aruba/.*")
                  "")
                 ;; No linting 

                 ((":lint, :test")
                  ":test"))
               #t))
           (add-before 'check 'set-home
             (lambda _ (setenv "HOME" "/tmp") #t)))))
      (native-inputs
       `(("bundler" ,bundler)
         ("ruby-rspec" ,ruby-rspec)
         ("ruby-fuubar" ,ruby-fuubar)))
      (propagated-inputs
       `(("ruby-childprocess" ,ruby-childprocess)
         ("ruby-contracts" ,ruby-contracts)
         ("ruby-cucumber" ,ruby-cucumber)
         ("ruby-ffi" ,ruby-ffi)
         ("ruby-rspec-expectations" ,ruby-rspec-expectations)
         ("ruby-thor" ,ruby-thor)))
      (synopsis "Test command-line applications with Cucumber, RSpec or 
Minitest")
      (description
       "Aruba is an extension for Cucumber, RSpec and Minitest for 
testing 

command-line applications.  It supports applications written in any 

language.")
      (home-page "https://github.com/cucumber/aruba")
      (license license:expat))))

Could you update the patch Christopher?

-- 
Cheers
Swedebugia